using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x1F, 0x09)]
    public class _1F_09_UNK : PacketHandler
    {
        public uint unk1 { get; set; }
        public string source { get; set; }
        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            //unk1 = reader.ReadUInt32();
            //source = reader.ReadAscii(0x1875, 0x1F);

            //// 打印日志
            //Logger.Write($"unk1: {unk1}");
            //Logger.Write($"source: {source}");
        }
    }
}
